SDL_Capitalization(3type)

NAME
SDL_Capitalization - Auto capitalization type.

SYNOPSIS
#include <SDL3/SDL_keyboard.h>

typedef enum SDL_Capitalization
{
    SDL_CAPITALIZE_NONE,        /**< No auto-capitalization will be done */
    SDL_CAPITALIZE_SENTENCES,   /**< The first letter of sentences will be capitalized */
    SDL_CAPITALIZE_WORDS,       /**< The first letter of words will be capitalized */
    SDL_CAPITALIZE_LETTERS      /**< All letters will be capitalized */
} SDL_Capitalization;

DESCRIPTION
These are the valid values for SDL_PROP_TEXTINPUT_CAPITALIZATION_NUMBER. Not every value is valid on every platform, but where a value isn't supported, a reasonable fallback will be used.

AVAILABILITY
This enum is available since SDL 3.2.0.

SEE ALSO
SDL_StartTextInputWithProperties(3)